## flashplugin-nonfree-extrasound 0.0.svn2431

=== Makefile ===
#Default flags
CC=gcc
CFLAGS=-fPIC -shared -O2 -Wall -Werror 
LIBS=-lpthread

#Define library directory
#For Debian 64bit: LIBDIR=/emul/ia32-linux/usr/lib 
LIBDIR=/usr/lib

#ALSA INSIDE FLASH PLAYER
#To make auto-detection use Flash's internal ALSA functions
#instead of libflashsupport external ALSA functions (recommended)
ALSA=-DALSA_INTERNAL

#ALSA CUSTOM
#To use libflashsupport built-in ALSA functions. This is redundant as Flash 
#already has ALSA support and is only needed if you need special 
#modifications. It will also require the alsa headers and libraries.
#ALSALIBS=-lalsatoss -laoss -lasound
#ALSA=-DALSA

#PULSE AUDIO
LIBPULSEPATH=-DLIBPULSEPATH='"$(LIBDIR)/libpulse-simple.so.0"'
PULSE=-DPULSEAUDIO

#ESD
LIBESDPATH=-DLIBESDPATH='"$(LIBDIR)/libesd.so.0"'
ESD=-DESD

#OSS
OSS=-DOSS

#OPENSSL
SSL=-DOPENSSL
SSLLIBS=-lssl

#GNUTLS 
#SSL=-DGNUTLS
#SSLLIBS=-lgnutls

#V4L1
#V4L=-DV4L1

#Obsolete, but keep in makefile in case it gets back in
#ICULIBS=-licuuc



all: libflashsupport.so

libflashsupport.so: flashsupport.c
	$(CC) $(CFLAGS) $(LIBS) -DLIBDIR=$(LIBDIR) \
	$(ALSA) $(ALSALIBS) $(PULSE) $(LIBPULSEPATH) $(ESD) $(LIBESDPATH) \
	$(OSS) $(SSL) $(SSLLIBS) $(V4L) $(ICULIBS)\
	flashsupport.c -o libflashsupport.so

install: all
	mkdir -p ${LIBDIR}
	install -m 755 libflashsupport.so ${LIBDIR}

sudoinstall: all	                
	sudo mkdir -p ${LIBDIR}
	sudo install -m 755 libflashsupport.so ${LIBDIR}

clean:
	rm -f libflashsupport.so *~ *.o

=== debian/changelog ===
flashplugin-nonfree-extrasound (0.0.svn2431-6ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable. ( LP: #1617449 ) Remaining changes:
    - debian/control: Update flashplugin-nonfree recommends to
      flashplugin-installer, as the former is NBS now.

 -- Jackson Doak <noskcaj@ubuntu.com>  Sat, 27 Aug 2016 06:27:32 +1000

flashplugin-nonfree-extrasound (0.0.svn2431-6) unstable; urgency=medium

  * QA upload.
  * Migrated DH level to 9.
  * debian/control:
     - Added home page.
     - Bumped Standards-Version to 3.9.6.
     - Updated to use the URI default canonical.
  * debian/copyright:
     - Migrated to 1.0 format.
     - Naming update on copyright in order to be legally recognized in a wide
       range of countries.
     - Updated all data.
  * debian/watch: added a fake site to explain about the current status of the 
     original upstream homepage.
  * debian/rules: 
     - improved the parameters of CFLAGS to add gcc hardening.
     - added LDFLAGS to improved to gcc hardening.
  * debian/patches: added the fix-Makefile.patch to improve the gcc hardening.

 -- Gilmar dos Reis Queiroz <gilmardosreislpi@gmail.com>  Tue, 19 Jan 2016 11:02:10 -0200

flashplugin-nonfree-extrasound (0.0.svn2431-5ubuntu1) utopic; urgency=medium

  * Merge from debian. Remaining changes:
    - debian/control: Update flashplugin-nonfree recommends to
      flashplugin-installer, as the former is NBS now.

 -- Jackson Doak <noskcaj@ubuntu.com>  Tue, 27 May 2014 07:34:17 +1000

flashplugin-nonfree-extrasound (0.0.svn2431-5) unstable; urgency=low

  * Debian QA upload.
  * Remove wrong home page URL.  Current home page for this project is
    unknown.
  * Reinclude README.orig which was lost in the last upload.
  * Package description no longer mention non-existing package
    flashplugin-nonfree-pulse (Closes: #477266).
  * Switch to dpkg-source 3.0 (quilt) format

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 10 Mar 2014 14:05:18 +0100

flashplugin-nonfree-extrasound (0.0.svn2431-4) unstable; urgency=low

  * Orphan package.
  * New upstream version from http://git.0pointer.de/repos/libflashsupport.git,
    commit a9bc3caccb4635305ed9b0a71f9fc62ae4895348 .
  * Add amd64 to architecture list (Closes: #594683).
  * Add vcs links in control file.
  * Add homepage URL to control file.
  * Implement get-orig-source rules target.
  * Add README.Debian with information on the Adobe source.
  * Change Standards-Version from 3.7.3 to 3.9.5.  No changes needed.
  * Switch to dpatch.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 10 Mar 2014 13:37:19 +0100

flashplugin-nonfree-extrasound (0.0.svn2431-3ubuntu1) oneiric; urgency=low

  * debian/control: Update flashplugin-nonfree recommends to
    flashplugin-installer, as the former is NBS now.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 15 Sep 2011 12:08:26 +0200

flashplugin-nonfree-extrasound (0.0.svn2431-3) unstable; urgency=low

  * Install the libflashsupport.so library in
    /usr/lib/flashplugin-nonfree-extrasound/ and symlink it into
    /usr/lib/iceweasel and /usr/lib/xulrunner to make it policy
    compliant while both iceweasel and epiphany find it.  Drop lintian
    override now that this is cleared.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 24 Jan 2008 00:04:49 +0100

flashplugin-nonfree-extrasound (0.0.svn2431-2) unstable; urgency=low

  * Rename package from libflashsupport to flashplugin-nonfree-extrasound,
    replacing libflashsupport, to better fit Debian policy.
  * Build-depend on 'linux-libc-dev | linux-kernel-headers' instead of
    just 'linux-libc-dev' to backport to Etch.
  * Only build for i386 for now, as it need flashplugin-nonfree to work.
  * Conflict on flashplugin-nonfree-pulse, which provides support
    for pulseaudio using the same library name.
  * Disable support for ssl and pulseaudio, leaving only esd and oss support.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 23 Jan 2008 18:40:56 +0100

libflashsupport (0.0.svn2431-1) unstable; urgency=low

  * Initial release (Closes: #449037)

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 23 Jan 2008 15:50:51 +0100

=== debian/control ===
Source: flashplugin-nonfree-extrasound
Section: contrib/sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9), cdbs, linux-libc-dev | linux-kernel-headers, libesd0-dev
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/flashplugin-nonfree-extrasound/
Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/flashplugin-nonfree-extrasound
Homepage: https://packages.qa.debian.org/f/flashplugin-nonfree-extrasound.html 

Package: flashplugin-nonfree-extrasound
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: flashplugin-installer
Conflicts: libflashsupport, flashplugin-nonfree-pulse
Replaces: libflashsupport
Description: Adobe Flash Player platform support library for Esound and OSS
 This is an open Source extension library for the Adobe Flash Player
 that enables support for otherwise unsupported sound systems.  It
 provides the libflashsupport.so plugin.  The sound system to use is
 automatically detected:
 .
  * It first tries to detect Esound,
  * Next, it checks for OSS.
 .
 If all of the above failed, it falls back to the ALSA driver that's
 built directly into FlashPlayer 9.
 .
 For PulseAudio support, look elsewhere.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

# Override the cdbs defaults to make sure -shared and -fPIC is included

CFLAGS=-fPIC -shared -O2 -Wall -Werror -g -fstack-protector-strong -Wformat -Werror=format-security
LDFLAGS+= -Wl,-z,now

# Disable SSL and Pulse audio support
DEB_MAKE_BUILD_TARGET = SSL="" SSLLIBS="" LIBPULSEPATH="" PULSE=""

# install library in policy acceptable location.
DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(DEB_DESTDIR) \
  LIBDIR="/usr/lib/flashplugin-nonfree-extrasound"

DEB_MAKE_CLEAN_TARGET = clean

get-orig-source:
	svn export https://svn.revolutionlinux.com/MILLE/XTERM/trunk/libflashsupport/src flashplugin-nonfree-extrasound
	tar zcf flashplugin-nonfree-extrasound.tar.gz flashplugin-nonfree-extrasound
	rm -rf flashplugin-nonfree-extrasound
